Agent Governance Protocol
API ReferenceDecision APIPolicy

Get policy evaluation status and result

GET
/agp/policy-evaluations/{policyEvaluationId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.decision.read, agp.decision.write

Path Parameters

policyEvaluationId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agp/policy-evaluations/string"
{  "evaluation_id": "string",  "decision_ref": "string",  "status": "pending",  "requested_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "context_refs": [    "string"  ],  "evidence_refs": [    "string"  ],  "policy_decision_ref": "string",  "operation_id": "string",  "callback_url": "http://example.com"}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}